global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
frontend:
  replicas: 1
  image:
    registry:
    repository: freeleaps
    name: frontend
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  ports:
    - name: http
      containerPort: 8080
      protocol: TCP
  resources:
    requests:
      cpu: "0.5"
      memory: "512Mi"
    limits:
      cpu: "1"
      memory: "1Gi"
  # FIXME: Wait until the developers implements the probes APIs
  probes: {}
  services:
    - name: frontend-service
      type: ClusterIP
      port: 8080
      targetPort: 8080
  # Defaults to {}, which means doesn't have any ingress
  ingresses: {}
  configs:
    # TZ
    tz: "America/Settle"
    # FRONTEND_PORT
    frontendPort: 8080
    # FREELEAPS_CHAT_ENDPOINT
    freeleapsChatEndpoint: ""
    # FREELEAPS_BACKEND_ENDPOINT
    freeleapsBackendEndpoint: ""
  vpa:
    minAllowed:
      enabled: false
      cpu: "0.5"
      memory: "512Mi"
    maxAllowed:
      enabled: true
      cpu: "1"
      memory: "1Gi"
    controlledResources:
      - cpu
      - memory